Loading...
Searching...
No Matches
CephFile Struct Reference

small structs to store file metadata More...

`#include <XrdCephPosix.hh>`

Inheritance diagram for CephFile:
Collaboration diagram for CephFile:

## Public Attributes

std::string | name
unsigned int | nbStripes
unsigned long long | objectSize
std::string | pool
unsigned long long | stripeUnit
std::string | userId

## Detailed Description

small structs to store file metadata

Definition at line 103 of file XrdCephPosix.hh.

## Member Data Documentation

## name

std::string CephFile::name

Definition at line 104 of file XrdCephPosix.hh.

Referenced by ceph_aio_read(), ceph_aio_write(), ceph_nonstriper_readv(), ceph_posix_close(), ceph_posix_fstat(), ceph_posix_internal_getxattr(), ceph_posix_internal_listxattrs(), ceph_posix_internal_removexattr(), ceph_posix_internal_setxattr(), ceph_posix_internal_truncate(), ceph_posix_nonstriper_pread(), ceph_posix_open(), ceph_posix_opendir(), ceph_posix_pread(), ceph_posix_pwrite(), ceph_posix_read(), ceph_posix_stat(), ceph_posix_unlink(), ceph_posix_write(), deleteFileRef(), fillCephFile(), and insertFileRef().

## nbStripes

unsigned int CephFile::nbStripes

Definition at line 107 of file XrdCephPosix.hh.

Referenced by ceph_nonstriper_readv(), ceph_posix_nonstriper_pread(), checkAndCreateStriper(), fillCephNbStripes(), getIoCtx(), and getRadosStriper().

## objectSize

unsigned long long CephFile::objectSize

Definition at line 109 of file XrdCephPosix.hh.

Referenced by ceph_posix_open(), checkAndCreateStriper(), fillCephObjectSize(), getIoCtx(), and getRadosStriper().

## pool

std::string CephFile::pool

Definition at line 105 of file XrdCephPosix.hh.

Referenced by checkAndCreateStriper(), fillCephPool(), getIoCtx(), and getRadosStriper().

## stripeUnit

unsigned long long CephFile::stripeUnit

Definition at line 108 of file XrdCephPosix.hh.

Referenced by ceph_posix_open(), checkAndCreateStriper(), fillCephStripeUnit(), getIoCtx(), and getRadosStriper().

## userId

std::string CephFile::userId

Definition at line 106 of file XrdCephPosix.hh.

Referenced by checkAndCreateStriper(), fillCephUserId(), getIoCtx(), and getRadosStriper().

The documentation for this struct was generated from the following file:

- XrdCephPosix.hh